[rspec-users] Problwm with Webrat and Selenium

Rails Learner lists at ruby-forum.com
Mon Mar 15 10:54:53 EDT 2010

Hello Everyone,

I am having problem running Webrat steps through Firefox using
I doesn't give me any error, but it never does anything.
Well, I am using Windows XP (I know....)

Here are the gems I am using:
cucumber (0.6.2)
cucumber-rails (0.3.0, 0.2.4)
database_cleaner (0.5.0, 0.4.3)
mongrel (1.1.5)
rspec (1.3.0)
rspec-rails (1.3.2)
selenium-client (1.2.18)

Here is what I get:

==> Waiting for Selenium RC server on port 4444... Ready!
** WARNING: Win32 does not support daemon mode.
** Daemonized, any open files are closed.  Look at H:/Workspace/Rails/
ime/tmp/pids/mongrel_selenium.pid and log/mongrel.log for info.
** Starting Mongrel listening at
** Starting Rails with test environment...
ng: Gem::Dependency#version_requirements is deprecated and will be
removed on or
 after August 2010.  Use #requirement
** Rails loaded.
** Loading any Rails specific GemPlugins
** Signals ready.  INT => stop (no restart).
** Mongrel 1.1.5 available at

It just sits there and does nothing.

I have done a lot of things to fix this but nothing works.

Any help is much appreciated.

Thank a lot!!!!!!!!
Posted via http://www.ruby-forum.com/.

More information about the rspec-users mailing list